# -*- coding: utf-8 -*-
from setuphelpers import *

def install():
    #re-enables SRP on Windows 11 22H2
    print('Enabling SRP')
    registry_delete(HKEY_LOCAL_MACHINE,r'SYSTEM\CurrentControlSet\Control\Srp\Gp','RuleCount')
    registry_delete(HKEY_LOCAL_MACHINE,r'SYSTEM\CurrentControlSet\Control\Srp\Gp','LastWriteTime')

def uninstall():
    #disables SRP
    print('Disabling SRP')
    registry_set(HKEY_LOCAL_MACHINE,r'SYSTEM\CurrentControlSet\Control\Srp\Gp','RuleCount',2,type=REG_DWORD)
    
    #We can uncomment the following line when REG_QWORD is added to setuphelpers
    #registry_set(HKEY_LOCAL_MACHINE,r'SYSTEM\CurrentControlSet\Control\Srp\Gp','LastWriteTime',1,type=REG_QWORD)




